版本升级到3.1.0后,studio返回failed to open connection, error: incompatible version between client and server: Graph client version(2.6.0) is not accepted, current graph client white list: 3.0.03.1.0..

提问参考模版:

  • nebula 版本:Nebula Graph Database V3.1.0
  • 部署方式: 单机
  • 安装方式: Docker
  • 是否为线上版本: N
    studio使用的v3.3.0,Nebula Graph Database使用v3.1.0,graph使用docker方式部署 查看show hosts确认为v3.1.0,进入studio后链接返回failed to open connection, error: incompatible version between client and server: Graph client version(2.6.0) is not accepted, current graph client white list: 3.0.03.1.0…

你是不是部署了多个版本的 Nebula,它报错了。

之前的版本是2.6.2,使用docker部署的 更新了docker镜像为3.1.0,应不存在多个nebula,端口占用也只有一个

这个获取的版本是根据哪里的呢?是否能通过语句什么的去确认查询?show hosts查看到的是3.1.0的版本的

应是gateway的问题 拉取新版本的gateway镜像失败了 使用的还是旧版本的gateway导致返回这个,已在其他问题进行咨询gateway相关的问题,感谢

此话题已在最后回复的 7 天后被自动关闭。不再允许新回复。